The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

How Instal GD LIBRARY

Discussion in 'General Discussion' started by Arturo, Apr 23, 2009.

  1. Arturo

    Arturo Registered

    Joined:
    Apr 15, 2009
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Hi

    Im trying to make a program for image handling. This is what a get

    Fatal error: Call to undefined function imagecreatefromjpeg()

    I check my phpinfo() and the gd library is not enable.

    The cuestion is. How can add this library(GD) to my WHM cpanel server?

    Thanks!
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    It's very simple:

    1. Go to WHM -> Software -> EasyApache
    2. If prompted to upgrade, do so then repeat the above step
    3. Begin customizing based on the current provile
    4. Proceed through the screens until you get to "Step 5"
    5. On "Step 5," click on "Exhaustive Options"
    6. Under PHP, check the checkbox for GD
    7. Proceed with Build & Compile Process
     
  3. natbug81

    natbug81 Registered

    Joined:
    Jan 15, 2010
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Omg!!!

    I have only been looking on the internet for the past 6 hours for an answer to this, I have contact my VPS several times with no answers, tried several forums, with really confusing instructions, and you provided the most simplest instruction here. THANK YOU SO MUCH!!!! :) I am SOOOOO relieved.
     
  4. cool999

    cool999 Active Member

    Joined:
    Jan 18, 2010
    Messages:
    31
    Likes Received:
    0
    Trophy Points:
    6
    hello,

    i want to know what should i select when the apache version page comes..

    by default its selected apache 2.0 but latest is apache 2.2

    let me know..

    Thanks
     
  5. ModServ

    ModServ Well-Known Member

    Joined:
    Oct 17, 2006
    Messages:
    332
    Likes Received:
    5
    Trophy Points:
    18
    Location:
    Egypt
    cPanel Access Level:
    Root Administrator
    Hello,

    I'm using Apache 2.2 and is working good without problems, Be with the latest.
     
Loading...

Share This Page